Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.seq
Class QualityIterator

    java.lang.Object
      calhoun.seq.QualityIterator

All Implemented Interfaces:
  java.util.Iterator

    public class QualityIterator

extends java.lang.Object
implements java.util.Iterator

Constructor Summary
`QualityIterator(java.io.BufferedReader reader)`
`QualityIterator(java.io.File file, boolean isGzipped)`
`QualityIterator(java.lang.String fileName)`
`QualityIterator(java.lang.String fileName, boolean isGzipped)`

Method Summary
`void` | `addNextQuality(SimpleFastaSequence input)` Adds the next sequence of qualities in the file to the given FastaSequence.
`boolean` | `hasNext()`
`java.lang.Object` | `next()` Returns the next set of qualities in this file.
`FastaSequence` | `nextQuality()` Returns the next set of qualities in this file.
`void` | `remove()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QualityIterator

    public QualityIterator(java.lang.String fileName,
                           boolean isGzipped)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

### QualityIterator

    public QualityIterator(java.lang.String fileName)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

### QualityIterator

    public QualityIterator(java.io.BufferedReader reader)

### QualityIterator

    public QualityIterator(java.io.File file,
                           boolean isGzipped)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### next

    public java.lang.Object next()

  Returns the next set of qualities in this file.

  Specified by:
    `next` in interface `java.util.Iterator`

### nextQuality

    public FastaSequence nextQuality()

  Returns the next set of qualities in this file. Provides a detailed return type.

### addNextQuality

    public void addNextQuality(SimpleFastaSequence input)

  Adds the next sequence of qualities in the file to the given FastaSequence. If the FastaSequence already has a sequence set, verifies that the quality matches the sequence (header and length).

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD